<template>
  <div class="search-page" style="">
    <h1>Search user</h1>
    <UserSearchForm @do-search="getList" />
    <ListUser :listUser="listUser" @on-delete="getList" />
  </div>
</template>

<script>
import axios from "axios";
import UserSearchForm from "../../components/User/UserSearchForm.vue";
import ListUser from "../../components/User/ListUser.vue";
import { BASE_URL } from "~/constants/constants.js";
export default {
  name: "SearchPage",
  components: { UserSearchForm, ListUser },
  data() {
    return {
      listUser: [],
    };
  },
  computed: {
    BASE_URL() {
      return BASE_URL;
    },
  },
  mounted() {
    this.getList();
  },
  methods: {
    /**
     *  Get list blog search by name
     *  @param name
     */
    getList(keySearch = "") {
      if (keySearch === "") {
        axios
          .get(this.BASE_URL)
          .then((response) => (this.listUser = response.data))
          .catch(() => {
            this.$swal.fire({
              position: "top-end",
              icon: "error",
              title: "Server error!",
              showConfirmButton: false,
              timer: 1500,
            });
          });
      } else {
        axios
          .get(`${BASE_URL}/search/${keySearch}`)
          .then((response) => (this.listUser = response.data.data))
          .catch(() => {
            this.$swal.fire({
              position: "top-end",
              icon: "error",
              title: "Server error!",
              showConfirmButton: false,
              timer: 1500,
            });
          });
      }
    },
  },
};
</script>

<style scoped>
.search-page {
  width: 85%;
  padding: 80px 20px;
  text-align: center;
  height: 80%;
  height: 100vh;
}
</style>
